executable = jaildoctors_dilemma

windows:
	mkdir bin
	g++ -std=c++11 -Wall -O2 -lSDL2 -lmingw32 -lSDL2main -mwindows source/*.cpp -o bin/$(executable).exe
macos:
	mkdir -p bin
	g++ -std=c++11 -Wall -O2 source/*.cpp -o bin/$(executable)_macos -lSDL2
linux:
	mkdir -p bin
	g++ source/*.cpp -std=c++11 -Os -lSDL2 -ffunction-sections -fdata-sections -Wl,--gc-sections -o bin/$(executable)_linux
	strip -s -R .comment -R .gnu.version bin/$(executable)_linux --strip-unneeded